Foxit PDF SDK

Public Member Functions | List of all members
FSDK.Watermark Class Reference

## Public Member Functions
| constructor (document, text, properties, settings)
| Constructor, from specified text content. More...
| constructor (document, bitmap, settings)
| Constructor, from a specified bitmap. More...
| constructor (document, image, frame_index, settings)
| Constructor, from a specified image. More...
| constructor (document, page, settings)
| Constructor, from a specified page. More...
| GetHeight ()
| Get the original height of current watermark. More...
| GetWidth ()
| Get the original width of current watermark. More...
| InsertToPage (page)
| Insert current watermark into a PDF page. More...
| IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class is mainly used to construct a watermark with specified parameters, and then insert it to PDF page. The watermark object can be constructed from text, bitmap or image, and PDF page.

## Member Function Documentation

## ◆ constructor() [1/4]

FSDK.Watermark.constructor | ( | document | ,
|  | text | ,
|  | properties | ,
|  | settings |
| ) |  |

Constructor, from specified text content.

Parameters

  [in] | document | A valid PDF document object, for which the constructed watermark will be used.
  [in] | text | A text string. This will be used as the content of the watermark. It should not be an empty string.
  [in] | properties | Text properties for watermark.
  [in] | settings | Watermark settings, containing layout setting.

## ◆ constructor() [2/4]

FSDK.Watermark.constructor | ( | document | ,
|  | bitmap | ,
|  | settings |
| ) |  |

Constructor, from a specified bitmap.

Parameters

  [in] | document | A valid PDF document object, for which the constructed watermark will be used.
  [in] | bitmap | A valid bitmap object used as the content of the watermark.
  [in] | settings | Watermark settings, containing layout setting.

## ◆ constructor() [3/4]

FSDK.Watermark.constructor | ( | document | ,
|  | image | ,
|  | frame_index | ,
|  | settings |
| ) |  |

Constructor, from a specified image.

Parameters

  [in] | document | A valid PDF document object, for which the constructed watermark will be used.
  [in] | image | A valid image object. One frame of this image will be used as the content of the watermark. So, this image should contain at least one frame and the image type should not be FSDK.Image.e_Unknown.
  [in] | frame_index | Frame index, to specify which frame of the image will be used for the watermark. Valid range: from 0 to (count-1). count is returned by function FSDK.Image.GetFrameCount.
  [in] | settings | Watermark settings, containing layout setting.

## ◆ constructor() [4/4]

FSDK.Watermark.constructor | ( | document | ,
|  | page | ,
|  | settings |
| ) |  |

Constructor, from a specified page.

Parameters

  [in] | document | A valid PDF document object, for which the constructed watermark will be used.
  [in] | page | A valid PDF page, whose content will be used as the content of the watermark.
  [in] | settings | Watermark settings, containing layout setting.

## ◆ GetHeight()

FSDK.Watermark.GetHeight | ( |  | ) |

Get the original height of current watermark.

The original size of a watermark is based on no scaling and no rotation.

Returns
  Watermark height.

## ◆ GetWidth()

FSDK.Watermark.GetWidth | ( |  | ) |

Get the original width of current watermark.

The original size of a watermark is based on no scaling and no rotation.

Returns
  Watermark width.

## ◆ InsertToPage()

FSDK.Watermark.InsertToPage | ( | page |  | ) |

Insert current watermark into a PDF page.

If current watermark is treated as page content (which is specified by flags of FSDK.WatermarkSettings when current watermark is constructed), Foxit PDF SDK will generate content for the input PDF page by default after the watermark is inserted successfully. In this case , if user wants to render the PDF page correctly after this function has been called successfully, user is recommended to call function FSDK.PDFPage.StartParse with parameter is_reparse true before rendering; otherwise, the page content may not be rendered as expected.

Parameters

  [in] | page | A PDF page, to which current watermark would be inserted. This page should belong to the same document as current watermark belongs to. And the page should have been already parsed.

Returns
  true means success, while false means failure.

## ◆ IsEmpty()

FSDK.Watermark.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.